import type { Sprinkles } from "../../styles/rainbow-sprinkles.css";
import type { ThemeVariant } from "../../models/system.model";
import { ComponentOverrideSchema } from "../../styles/override/override.types";
import { ButtonProps } from "./button.types";
export type ButtonSize = "xs" | "sm" | "md" | "lg";
export type ButtonVariant = "solid" | "outlined" | "link" | "ghost" | "unstyled";
export type ButtonIntent = "primary" | "secondary" | "tertiary" | "text" | "warning" | "success" | "danger";
export declare function getSize(size: ButtonSize): Sprinkles;
export declare function recipe({ as, variant, intent, isDisabled, theme, }: {
    as: ButtonProps["as"];
    variant: ButtonVariant;
    intent: ButtonIntent;
    isDisabled: boolean;
    theme: ThemeVariant;
}): string;
export declare const buttonOverrides: ComponentOverrideSchema;
