import type { AddLiquidityProps } from "../add-liquidity/add-liquidity.types";
import type { BondingListItemSmProps } from "../bonding-list-item-sm/bonding-list-item-sm.types";
import type { ManageLiquidityCardProps } from "../manage-liquidity-card/manage-liquidity-card.types";
import type { RemoveLiquidityProps } from "../remove-liquidity/remove-liquidity.types";
import type { AvailableItem } from "../transfer-item/transfer-item.types";
import type { BaseComponentProps } from "../../models/components.model";
export type APR = {
    totalApr: string;
    swapFeeApr: {
        swapFeeValuePerDay: string;
        apr: string;
    };
    bondedShares: string | number;
    bondedValue: string | number;
    superfluidApr?: string;
    amount?: string;
};
export interface Coin {
    symbol: string;
    imgSrc: string;
    displayAmount?: string;
}
export interface PoolListItemProps extends BaseComponentProps {
    id: string;
    poolAssets: AvailableItem[];
    liquidity: number | string;
    apr: string;
    fees7D?: number;
    volume24H?: number | string;
    onClick?: (event?: any) => void;
}
export interface PoolDetailProps {
    bonded: number | string;
    myLiquidity: string;
    swapFee: number | string;
    totalBalance: string;
    totalShares: string;
    lpTokenBalance: string;
    lpTokenShares: string;
    totalBalanceCoins: Coin[];
    unbondedBalance: string;
    unbondedShares: string;
    myLiquidityCoins: Coin[];
    onAddLiquidity: AddLiquidityProps["onAddLiquidity"];
    onRemoveLiquidity: RemoveLiquidityProps["onRemoveLiquidity"];
    onBond: BondingListItemSmProps["onBond"];
    onUnbond: BondingListItemSmProps["onUnbond"];
    onStartEarning: ManageLiquidityCardProps["onStartEarning"];
}
