import type { Children } from "../../models/components.model";
import { ExternalToast, Toast, PromiseData, PromiseLike, ToastToDismiss, ToastType } from "./toast.types";
export type ToastItemState = Toast | ToastToDismiss;
export type ToastsState = Array<ToastItemState>;
export type StateSetter = (oldState: ToastsState) => ToastsState;
declare class Observer {
    subscribers: Array<(toast: ExternalToast | ToastToDismiss, latestToasts: ToastsState) => void>;
    toasts: ToastsState;
    displayToasts: ToastsState;
    displaySubscribers: Array<(latestToasts: ToastsState) => void>;
    constructor();
    subscribe: (subscriber: (toast: ToastItemState, latestToasts: ToastsState) => void) => () => void;
    publish: (data: Toast) => void;
    syncDisplayToasts: (toastsOrSetterFn: ToastsState | StateSetter) => void;
    subscribeDisplay: (subscriber: (latestToasts: ToastsState) => void) => () => void;
    publishDisplay: () => void;
    addToast: (data: Toast) => void;
    create: (data: ExternalToast & {
        message?: string | Children;
        type?: ToastType;
    }) => string | number;
    dismiss: (id?: number | string) => string | number;
    message: (message: string | Children, data?: ExternalToast) => string | number;
    error: (message: string | Children, data?: ExternalToast) => string | number;
    success: (message: string | Children, data?: ExternalToast) => string | number;
    custom: (type: ToastType, message: string | Children, data?: ExternalToast) => string | number;
    promise: <ToastData>(promise: PromiseLike<ToastData>, data?: PromiseData<ToastData>) => string | number;
}
export declare const ToastState: Observer;
export declare const toast: ((message: string | Children, data?: ExternalToast) => string | number) & {
    success: (message: string | Children, data?: ExternalToast) => string | number;
    error: (message: string | Children, data?: ExternalToast) => string | number;
    message: (message: string | Children, data?: ExternalToast) => string | number;
    promise: <ToastData>(promise: PromiseLike<ToastData>, data?: PromiseData<ToastData>) => string | number;
    dismiss: (id?: number | string) => string | number;
    custom: (type: ToastType, message: string | Children, data?: ExternalToast) => string | number;
};
export {};
